Channel Links Run in API Explorer
Ask AI
This endpoint returns details for all channels accessible under your partner account permissions.
GET
/channelLinks
curl \
--request GET 'https://api.staging.deliverect.com/channelLinks' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"_items": [
{
"_id": "65********************07",
"account": "65********************6f",
"posSystemId": 10000,
"posSettings": {
"generic": {
"logOps": true,
"sendTip": true,
"sendServiceCharge": true,
"sendDeliveryFee": true,
"sendDiscount": true,
"hasDirectTableIntegration": true,
"orderItemRemarks": "intactItemRemarks",
"alwaysSendAllSnoozedProducts": true,
"ordersWebhookURL": "",
"locationId": "",
"registerUrl": "",
"syncProductsURL": "",
"bufferOrders": false,
"averagePreparationTime": 15,
"customHeaders": "",
"sendStreetNumber": false,
"anonymizeCustomer": false,
"discountPLU": "",
"sendRebate": false,
"sendDeliveryFeeCondition": 0,
"forcePayment": 0,
"bagFeePLU": "",
"deliveryByChannelIsPickup": false,
"ignoreUnknownOrderStatuses": false,
"separateSameProducts": false,
"sortModifiers": 0,
"averageDeliveryTime": 15,
"dontSendCancel": false,
"orderNoteTemplate": "",
"readonly": false,
"priceLevelSettingsDelivery": "lvl_1",
"priceLevelSettingsEatIn": "lvl_2",
"priceLevelSettingsTakeaway": "lvl_3"
}
},
"logPOS": true,
"defaultPreparationTime": 15,
"averageDeliveryTime": 15,
"channelSettings": {
"insertPosOrderAfterDmaAccept": false,
"applyDefaultTableId": false,
"sendRejectStatus": false,
"allowUpdateMenuPrepTime": true,
"defaultTableId": "123",
"snoozeBatchWindow": 0,
"coreFlatten": false,
"isSnoozeRestricted": false,
"isMenuPushRestricted": false,
"locationId": ""
},
"kdsSettings": {},
"channel": 1,
"_created": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"_updated": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ",
"_etag": "db********************0f",
"name": "Test channel",
"enabledDMA": false,
"location": "65********************fd",
"status": 2,
"posLocationId": "",
"posSystem": "Generic POS",
"kdsSystem": 0,
"sortModifiers": 0,
"APIKey": "",
"application": "",
"mockChannel": false,
"ignorePOSOrderStatuses": false,
"reportingEndpoints": [],
"tags": [],
"externalMenuIds": [],
"sendOrdersToKDS": false,
"priceLevelSettings": {
"delivery": "lvl_1",
"takeaway": "lvl_1",
"eatIn": "lvl_0"
},
"storeConfigurations": {},
"orderNoteTemplate": "",
"timezone": "",
"taxExcl": false,
"discountMapping": [],
"isLoyaltyEnabled": false,
"fulfillmentEnabled": false,
"rejectOnDispatchFailure": false,
"brandId": "65********************6e",
"useIntegratedOOFulfilmentFlow": false,
"sendCourierUpdatesToChannel": false,
"openingHours": [
{
"dayOfWeek": 1,
"startTime": "00:00",
"endTime": "23:59"
},
{
"dayOfWeek": 2,
"startTime": "00:00",
"endTime": "23:59"
},
{
"dayOfWeek": 3,
"startTime": "00:00",
"endTime": "23:59"
},
{
"dayOfWeek": 4,
"startTime": "00:00",
"endTime": "23:59"
},
{
"dayOfWeek": 5,
"startTime": "00:00",
"endTime": "23:59"
},
{
"dayOfWeek": 6,
"startTime": "00:00",
"endTime": "23:59"
},
{
"dayOfWeek": 7,
"startTime": "00:00",
"endTime": "23:59"
}
],
"isTestChannel": true,
"ssuLinkedMenuIds": [],
"validationInfo": {
"lastResult": {
"connectionOK": false,
"connectionResponse": "",
"credentialsOK": false,
"credentialsResponse": "",
"sampleCallOK": false,
"sampleCallResponse": ""
},
"isUnHealthy": false
},
"_deleted": false,
"anonymizeCustomer": false,
"bufferOrders": false,
"menuUrl": "",
"mockPOS": false,
"_links": {
"self": {
"title": "channelLink",
"href": "channelLinks/65********************07"
},
"related": {
"account": {
"title": "accounts",
"href": "accounts/65********************6f"
},
"location": {
"title": "Locations",
"href": "locations/65********************fd"
},
"brandId": {
"title": "accounts",
"href": "accounts/65********************6e"
}
}
}
}
]
}